## python-confluent-kafka 1.7.0

=== Makefile ===
all:
	@echo "Targets:"
	@echo " clean"
	@echo " docs"


clean:
	python setup.py clean
	make -C docs clean

.PHONY: docs

docs:
	$(MAKE) -C docs html

=== examples/Makefile ===
user_pb2.py: user.proto
	protoc -I=. --python_out=. ./user.proto;

clean:
	rm -f $(TARGET_DIR)/*_pb2.py

=== examples/requirements.txt ===
confluent-kafka
fastapi
pydantic
uvicorn
six
pyrsistent==0.16.1;python_version<"3.0"
pyrsistent;python_version>"3.0"
jsonschema
protobuf
requests

=== tests/requirements.txt ===
flake8
pytest==4.6.9;python_version<="3.0"
pytest>=6.0.0;python_version>="3.0"
pytest-timeout
requests-mock
trivup>=0.8.3
fastavro
avro
jsonschema
protobuf

=== src/confluent_kafka/requirements.txt ===
enum34;python_version<"3.4"
futures;python_version<"3.2"

=== tests/soak/requirements.txt ===
datadog
psutil

=== src/confluent_kafka/avro/requirements.txt ===
fastavro>=0.23.0
requests
avro==1.10.0;python_version<='3.0'
avro-python3==1.10.0;python_version>='3.0'

=== src/confluent_kafka/schema_registry/requirements.txt ===
fastavro>=0.23.0
pyrsistent==0.16.1;python_version<"3.0"
pyrsistent;python_version>"3.0"
jsonschema
protobuf
requests

=== tests/integration/schema_registry/data/Makefile ===
WORK_DIR:=$(strip $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST)))))
PROTO_HOME=/usr/local/opt/include
SRC_DIR=$(WORK_DIR)
TARGET_DIR=$(WORK_DIR)/../gen

PROTOS := common_proto.proto DependencyTestProto.proto exampleProtoCriteo.proto $\
         metadata_proto.proto NestedTestProto.proto PublicTestProto.proto $\
         SInt32Value.proto SInt64Value.proto TestProto.proto

compile: $(PROTOS)
	for proto in $(PROTOS); do \
		protoc -I=$(PROTO_HOME) -I=$(SRC_DIR) --python_out=$(TARGET_DIR) $$proto ; \
	done

clean:
	rm -f $(TARGET_DIR)/*_pb2.py

## python-confluent-kafka 0.9.2

=== debian/changelog ===
python-confluent-kafka (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable hardening flags.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 12 Jan 2017 15:17:10 +0200

python-confluent-kafka (0.9.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #836936)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 23 Sep 2016 12:20:20 +0300

=== debian/control ===
Source: python-confluent-kafka
Section: python
Priority: optional
Maintainer: Christos Trochalakis <ctrochalakis@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-dev,
               python3-all,
               python3-setuptools,
               python3-dev,
               librdkafka-dev (>= 0.9.1)
Standards-Version: 3.9.8
Homepage: https://github.com/confluentinc/confluent-kafka-python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git

Package: python-confluent-kafka
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python client to interact with Kafka - Python 2.7
 python-confluent-kafka wraps the librdkafka C library, providing full Kafka
 protocol support with great performance and reliability.
 .
 This package provides the Python 2.7 module.

Package: python3-confluent-kafka
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python client to interact with Kafka - Python 3.x
 python-confluent-kafka wraps the librdkafka C library, providing full Kafka
 protocol support with great performance and reliability.
 .
 This package provides the Python 3.x module.

## python-confluent-kafka 0.9.4

=== debian/changelog ===
python-confluent-kafka (0.9.4-3build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:38:05 +1200

python-confluent-kafka (0.9.4-3) unstable; urgency=medium

  * Properly Build-Depend on python*-all-dev (Closes: #867633)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 08 Jul 2017 14:37:20 +0300

python-confluent-kafka (0.9.4-2) unstable; urgency=medium

  * Switch to debhelper 10.
  * Bump Standards to 4.0.0, no changes needed.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 28 Jun 2017 10:41:44 +0300

python-confluent-kafka (0.9.4-1) experimental; urgency=medium

  * New upstream release.
  * Support for Avro Consumer & Producer.
  * Bump librdkafka-dev dependency to 0.9.4 to pull-in new functionality.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 09 Mar 2017 16:46:47 +0200

=== debian/control ===
Source: python-confluent-kafka
Section: python
Priority: optional
Maintainer: Christos Trochalakis <ctrochalakis@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               librdkafka-dev (>= 0.9.4),
               python-all-dev,
               python-avro,
               python-requests,
               python-setuptools,
               python3-all-dev,
               python3-requests,
               python3-setuptools,
               python3-avro
Standards-Version: 4.0.0
Homepage: https://github.com/confluentinc/confluent-kafka-python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git

Package: python-confluent-kafka
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-avro, python-requests
Description: Python client to interact with Kafka - Python 2.7
 python-confluent-kafka wraps the librdkafka C library, providing full Kafka
 protocol support with great performance and reliability.
 .
 This package provides the Python 2.7 module.

Package: python3-confluent-kafka
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python3-avro, python3-requests
Description: Python client to interact with Kafka - Python 3.x
 python-confluent-kafka wraps the librdkafka C library, providing full Kafka
 protocol support with great performance and reliability.
 .
 This package provides the Python 3.x module.

## python-confluent-kafka 0.11.0

=== debian/changelog ===
python-confluent-kafka (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.1.0, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 14 Sep 2017 09:45:43 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-requests,
                python3-setuptools,
                python3-avro
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://github.com/confluentinc/confluent-kafka-python
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = confluent-kafka
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,-pie
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-confluent-kafka 0.11.5

=== debian/changelog ===
python-confluent-kafka (0.11.5-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.1.5, no changes needed
  * Set testsuite to autopkgtest-pkg-python

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 23 Jul 2018 16:36:20 +0300

python-confluent-kafka (0.11.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Christos Trochalakis ]
  * new upstream version
  * Bump librdkafka-dev dependency to take advantage of the new features
  * Switch to debhelper 11
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 12 Apr 2018 12:43:01 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Christos Trochalakis <ctrochalakis@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               librdkafka-dev (>= 0.9.4),
+               librdkafka-dev (>= 0.11.4~),
                python-all-dev,
                python-avro,
                python-requests,
@@ -13,10 +13,11 @@
                python3-requests,
                python3-setuptools,
                python3-avro
-Standards-Version: 4.1.0
+Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.1.5
 Homepage: https://github.com/confluentinc/confluent-kafka-python
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-confluent-kafka.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-confluent-kafka.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-confluent-kafka
 
 Package: python-confluent-kafka
 Architecture: any

## python-confluent-kafka 0.11.6

=== debian/changelog ===
python-confluent-kafka (0.11.6-1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Jan 2019 15:10:04 +0000

python-confluent-kafka (0.11.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Christos Trochalakis ]
  * Bump librdkafka dependency
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 09 Nov 2018 15:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christos Trochalakis <ctrochalakis@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
-               librdkafka-dev (>= 0.11.4~),
+               librdkafka-dev (>= 0.11.6~),
                python-all-dev,
                python-avro,
                python-requests,
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-avro
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/confluentinc/confluent-kafka-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-confluent-kafka.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-confluent-kafka

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/confluent-kafka/confluent-kafka-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-confluent-kafka 1.1.0

=== debian/changelog ===
python-confluent-kafka (1.1.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:41 +0100

python-confluent-kafka (1.1.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andreas Tille ]
  * Set Maintainer to Debian Python Modules Team
  * Drop Python2 package; Closes: #937661
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Oct 2019 23:27:56 -0400

=== debian/control ===
Source: python-confluent-kafka
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               librdkafka-dev (>= 0.11.6~),
               python3-all-dev,
               python3-requests,
               python3-setuptools,
               python3-avro
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-confluent-kafka
Vcs-Git: https://salsa.debian.org/python-team/modules/python-confluent-kafka.git
Homepage: https://github.com/confluentinc/confluent-kafka-python

Package: python3-confluent-kafka
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-avro,
          python3-requests
Description: Python client to interact with Kafka - Python 3.x
 python-confluent-kafka wraps the librdkafka C library, providing full Kafka
 protocol support with great performance and reliability.
 .
 This package provides the Python 3.x module.

## python-confluent-kafka 1.3.0

=== debian/changelog ===
python-confluent-kafka (1.3.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Up min version of librdkafka-dev, as backporting with the version from
    Buster fails.
  * Uploading to unstable.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:46:30 +0200

python-confluent-kafka (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Refreshed 0001-Switch-to-trove-classifiers.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:37:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-confluent-kafka
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               librdkafka-dev (>= 0.11.6~),
+               librdkafka-dev (>= 1.4.2),
                python3-all-dev,
                python3-requests,
                python3-setuptools,
                python3-avro
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-confluent-kafka
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-confluent-kafka.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confluent-kafka
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-confluent-kafka.git
 Homepage: https://github.com/confluentinc/confluent-kafka-python
 
 Package: python3-confluent-kafka

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## python-confluent-kafka 1.7.0

=== debian/changelog ===
python-confluent-kafka (1.7.0-5) unstable; urgency=medium

  * Team upload.
  * Skip test_kafkaError_unknonw_error. (Closes: #1114300).
  * Ran wrap-and-sort -bastk.
  * Build-depends on python3-pytest-xidst and run tests in parallel.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2025 08:45:48 +0200

python-confluent-kafka (1.7.0-4) unstable; urgency=medium

  * Rename patch 0002 to fix inaccurate description.
    Thanks to Nicolas Dandrimont for spotting that!

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 Feb 2023 13:11:36 +0100

python-confluent-kafka (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * 0002-Fix-test-failure-with-python3.11-wheels.patch: add. (Closes: #1031483)

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 Feb 2023 11:47:05 +0100

python-confluent-kafka (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * Do not run test_purge() that fails in s390x (Closes: #1004756).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2022 10:11:59 +0100

python-confluent-kafka (1.7.0-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Add myself to Uploaders.
  * New upstream release 1.7.0.
    - Move debian/watch to GitHub tags to retrieve upstream test suite.
  * Don't disable PIE.
  * Run upstream testsuite
    - add Build-Depends on pytest, pytest-timeout, requests-mock.
  * Add optional dependencies on protobuf, pyrsistent and jsonschema.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 02 Dec 2021 16:16:17 +0100

=== debian/control ===
Source: python-confluent-kafka
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christos Trochalakis <ctrochalakis@debian.org>,
 Nicolas Dandrimont <olasd@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 librdkafka-dev (>= 1.4.2),
 python3-all-dev,
 python3-avro,
 python3-jsonschema,
 python3-protobuf,
 python3-pyrsistent,
 python3-pytest,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-requests,
 python3-requests-mock,
 python3-setuptools,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confluent-kafka
Vcs-Git: https://salsa.debian.org/python-team/packages/python-confluent-kafka.git
Homepage: https://github.com/confluentinc/confluent-kafka-python

Package: python3-confluent-kafka
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-avro,
 python3-jsonschema,
 python3-protobuf,
 python3-pyrsistent,
 python3-requests,
Description: Python client to interact with Kafka - Python 3.x
 python-confluent-kafka wraps the librdkafka C library, providing full Kafka
 protocol support with great performance and reliability.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = confluent-kafka
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk

export PYBUILD_TEST_ARGS=-v -n auto --ignore=tests/avro --ignore=tests/integration --ignore=tests/schema_registry -k 'not test_purge and not test_kafkaError_unknonw_error'

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/confluentinc/confluent-kafka-python refs/tags/v(?!3.0.0)@ANY_VERSION@

## python-confluent-kafka 2.11.1

=== Makefile ===
all:
	@echo "Targets:"
	@echo " clean"
	@echo " docs"


clean:
	pip cache purge
	rm -rf dist
	make -C docs clean

.PHONY: docs

docs:
	$(MAKE) -C docs html

style-check:
	@(tools/style-format.sh \
		$$(git ls-tree -r --name-only HEAD | egrep '\.(c|h|py)$$') )

style-check-changed:
	@(tools/style-format.sh \
		$$( (git diff --name-only ; git diff --name-only --staged) | egrep '\.(c|h|py)$$'))

style-fix:
	@(tools/style-format.sh --fix \
		$$(git ls-tree -r --name-only HEAD | egrep '\.(c|h|py)$$'))

style-fix-changed:
	@(tools/style-format.sh --fix \
		$$( (git diff --name-only ; git diff --name-only --staged) | egrep '\.(c|h|py)$$'))

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/confluent-kafka.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/confluent-kafka.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/confluent-kafka"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/confluent-kafka"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== examples/Makefile ===
user_pb2.py: protobuf/user.proto
	cd protobuf && protoc -I=. --python_out=. ./user.proto;

clean:
	rm -f $(TARGET_DIR)/protobuf/*_pb2.py

=== tests/integration/schema_registry/data/proto/Makefile ===
WORK_DIR:=$(strip $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST)))))
PROTO_HOME=/usr/local/opt/include
SRC_DIR=$(realpath $(WORK_DIR)/../../../../..)

PROTOS := common_proto.proto DependencyTestProto.proto exampleProtoCriteo.proto $\
         metadata_proto.proto NestedTestProto.proto PublicTestProto.proto $\
         SInt32Value.proto SInt64Value.proto TestProto.proto

compile: $(PROTOS)
	for proto in $(PROTOS); do \
		(cd $(SRC_DIR) && protoc -I=$(PROTO_HOME) -I=$(SRC_DIR) --python_out=$(SRC_DIR) tests/integration/schema_registry/data/proto/$$proto ;) \
	done

clean:
	rm -f *_pb2.py

=== debian/changelog ===
python-confluent-kafka (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1089748).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 15:55:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,21 @@
  Christos Trochalakis <ctrochalakis@debian.org>,
  Nicolas Dandrimont <olasd@debian.org>,
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- librdkafka-dev (>= 1.4.2),
+ librdkafka-dev (>= 2.11.1),
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-avro,
  python3-jsonschema,
+ python3-orjson,
  python3-protobuf,
  python3-pyrsistent,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-timeout,
  python3-pytest-xdist,
  python3-requests,
@@ -35,6 +38,7 @@
 Suggests:
  python3-avro,
  python3-jsonschema,
+ python3-orjson,
  python3-protobuf,
  python3-pyrsistent,
  python3-requests,

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = confluent-kafka
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk

export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/tools && cp -a {dir}/tools/unasync.py {build_dir}/tools/
export PYBUILD_TEST_ARGS=-v -n auto --ignore=tests/avro --ignore=tests/integration --ignore=tests/schema_registry -k 'not test_purge and not test_kafkaError_unknown_error'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tools

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-confluent-kafka 2.12.2

=== docs/Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+PANDOC        = pandoc
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
@@ -19,7 +20,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext rst2md
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -45,9 +46,15 @@
 	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+	@echo "  rst2md     to generate markdown files from rst files"
 
 clean:
 	rm -rf $(BUILDDIR)/*
+
+rst2md:
+	$(PANDOC) --wrap=none --from=rst --to=gfm --output=kip-848-migration-guide.md kip-848-migration-guide.rst
+	@echo
+	@echo "KIP-848 Migration Guide Markdown file generated: kip-848-migration-guide.md"
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
python-confluent-kafka (2.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Don't leave NewTopic partially-initialized on error (closes: #1117901).

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Dec 2025 11:18:59 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- librdkafka-dev (>= 2.11.1),
+ librdkafka-dev (>= 2.12.1),
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-avro,
